package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaSalaryDetail;
import com.ruoyi.oa.domain.vo.OaSalaryDetailVo;
import com.ruoyi.oa.domain.bo.OaSalaryDetailBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工资发放明细Service接口
 *
 * @author Joshi
 * @date 2025-09-08
 */
public interface IOaSalaryDetailService {

    /**
     * 查询工资发放明细
     */
    OaSalaryDetailVo queryById(Long detailId);

    /**
     * 查询工资发放明细列表
     */
    TableDataInfo<OaSalaryDetailVo> queryPageList(OaSalaryDetailBo bo, PageQuery pageQuery);

    /**
     * 查询工资发放明细列表
     */
    List<OaSalaryDetailVo> queryList(OaSalaryDetailBo bo);

    /**
     * 新增工资发放明细
     */
    Boolean insertByBo(OaSalaryDetailBo bo);

    /**
     * 修改工资发放明细
     */
    Boolean updateByBo(OaSalaryDetailBo bo);

    /**
     * 校验并批量删除工资发放明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 批量插入工资发放明细
     */
    Boolean insertBatchByBo(List<OaSalaryDetailBo> boList);
}
